Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78785 - silly use of dotfile in /etc for aumix config
Summary: silly use of dotfile in /etc for aumix config
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts
Version: 8.0
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-29 21:47 UTC by Need Real Name
Modified: 2014-03-17 02:32 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-04-14 19:52:27 UTC


Attachments (Terms of Use)

Description Need Real Name 2002-11-29 21:47:32 UTC
The default levels for aumix are inexplicably stored as /etc/.aumixrc

It's very uncustomary for linux to have dot files in /etc, and worse, the aumix
man pages mentioned /etc/aumixrc is the default settings file, not /etc/.aumixrc

If the file were renamed to remove the dot, the -f switch from the module.conf
lines should be able to be removed, as well:

post-install sound-slot-0 /bin/aumix-minimal -f /etc/.aumixrc -L >/dev/null 2>&1
pre-remove sound-slot-0 /bin/aumix-minimal -f /etc/.aumixrc -S >/dev/null 2>&1

See also two other bugs I just filed on aumix/modules.conf:
  bug 78783 and bug 78784

Comment 1 Mike A. Harris 2003-05-30 03:19:49 UTC
This actually has nothing to do with aumix.  aumix's default config file
is /etc/aumixrc, which is what aumix uses.  We have not modified that.

aumix can be passed an alternate config file name however, and that is what
the initscripts are doing (for whatever reason).  I do not know if that
is intentional or not.

[root@claw64 xinetd.d]# grep -r aumix /etc/rc.d/*
/etc/rc.d/init.d/halt:if [ $? = 0 -a -x /bin/aumix-minimal ]; then
/etc/rc.d/init.d/halt:   runcmd $"Saving mixer settings" /bin/aumix-minimal -f
/etc/.aumixrc -S

[root@claw64 xinetd.d]# rpm -qf /etc/rc.d/init.d/halt
initscripts-7.13-1

Reassigning to initscripts component for final assessment.


Comment 2 Landon Curt Noll 2004-04-14 09:07:42 UTC
I see this this bug in RH8 has not been addressed in a long time. 
Having been bit by this same problem in RHEL3, I filed bug #120826 
with the hope that a paying customer filing a bug against the 
current Enterprize Linux will help encourage some resolution 
to this long standing problem. 

Comment 3 Bill Nottingham 2004-04-14 19:52:27 UTC
AS of Fedora Core 2, this is irrelevant, it now uses alsa.


Note You need to log in before you can comment on or make changes to this bug.